package ru.ifmo.testlib.io;

import java.io.File;

import ru.ifmo.testlib.AbstractInStream;
import ru.ifmo.testlib.Outcome;

/**
 * An implementation of {@link AbstractInStream} for an output file.
 * 
 * @author Dmitry Paraschenko
 */
public class OutputInStream extends AbstractInStream {
	public OutputInStream(File file) {
		super(file);
	}

	protected Outcome getExceptionForInputMismatch(String message,
			Exception cause) {
		return new Outcome(Outcome.Type.PE, message, cause);
	}
}
